
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2021/2/5
 */
public class EsSupplierOrderVO extends EsOrderVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商处理状态， -1.商家自行处理 0.待供应商处理 1.供应商已同意 2.供应商已拒绝", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer supplierHandleStatus;

    public Integer getSupplierHandleStatus() {
        return supplierHandleStatus;
    }

    public void setSupplierHandleStatus(Integer supplierHandleStatus) {
        this.supplierHandleStatus = supplierHandleStatus;
    }

    @Override
    public String toString() {
        return "EsSupplierOrderVO{" +
                "supplierHandleStatus=" + supplierHandleStatus +
                '}';
    }
}
